Class | Resolv::DNS::Resource::HINFO
In: | resolv.rb
Parent: | Resource

### Methods

decode_rdata encode_rdata new

### Constants

TypeValue | = | 13

### Attributes

cpu | [R] |
os | [R] |

### Public Class methods

decode_rdata(msg)

[Source]

    # File resolv.rb, line 1504
            def self.decode_rdata(msg)
              cpu = msg.get_string
              os = msg.get_string
              return self.new(cpu, os)
            end

new(cpu, os)

[Source]

    # File resolv.rb, line 1493
            def initialize(cpu, os)
              @cpu = cpu
              @os = os
            end

### Public Instance methods

encode_rdata(msg)

[Source]

    # File resolv.rb, line 1499
            def encode_rdata(msg)
              msg.put_string(@cpu)
              msg.put_string(@os)
            end

[Validate]